//Создание задачи диспетчерского вызова прочих задач
function [err]=EndCommandPoints(ErrorFunction,..//Функция нештатных ситуаций
                                DisplayFunction,..//Функция отправки сообщения
                                PointReadFunction,..//Функция получения сообщения
                                PointDisplayFunction,..//Функция отправки сообщения
                                IsRegisteredPointFunction,..//Функция проверки регистрации точки обмена сообщениями
                                CommandPoints,..//Закрываемые точки обмена сообщениями
                                ProjectName,..//Имя проекта
                                pauseSeconds..//Время паузы (в секундах)
                                )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    if nArg < 6 then
        error('The function EndCommandPoints takes 6 or 7 arguments');
    elseif nArg == 6 then
        tasksSplit = ',';//Разделитель доступных задач по умолчанию запятая
    end
    
    //Проверяем корректность аргументов
    if isempty(CommandPoints) then
        err = 0;
        return;
    else
        if (type(CommandPoints) ~= 10) then
            error('The argument CommandPoints of function EndCommandPoints must be matrix of string');
        end
    end
    if (type(ProjectName) ~= 10) ||..
       (size(ProjectName,'*') ~= 1) then
        error('The argument TaskInformationPoint of function EndCommandPoints must be string scalar');
    end
    if (type(pauseSeconds) ~= 1) ||..
       (size(pauseSeconds,'*') ~= 1) then
        error('The argument pauseSeconds of function EndCommandPoints must be number scalar');
    end
    
    //Обрабатываем функцию отображения
    select type(DisplayFunction)
    case 10 then
        execstr('displayFunction = ' + DisplayFunction);
    case 15 then
        //Получаем имя функции отображения и ее параметры
        dFunction = DisplayFunction(1);
        dFunctionParametrs = DisplayFunction(2:$);
        
        //Приводим имя функции к типу функции
        execstr('dFunction = ' + dFunction);
        
        //Формируем функцию вызова
        function displayFunction(msg)
            dFunction(msg,dFunctionParametrs(:));
        endfunction
    end
    
    //Закрываем точки обмена сообщениями
    for CommandPoint=matrix(CommandPoints,1,-1)
        //Выводим сообщение
        displayFunction('Closed point: ' + CommandPoint);
        
        //Закрываем точку
        err = EndCommandPoint(ErrorFunction,PointReadFunction,..
                              PointDisplayFunction,IsRegisteredPointFunction,..
                              CommandPoint,ProjectName,pauseSeconds);
    end
endfunction
